Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlargv

    java.lang.Object
      org.netlib.lapack.Dlargv

    public class Dlargv

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLARGV generates a vector of real plane rotations, determined by
     *  elements of the real vectors x and y. For i = 1,2,...,n
     *
     *     (  c(i)  s(i) ) ( x(i) ) = ( a(i) )
     *     ( -s(i)  c(i) ) ( y(i) ) = (   0  )
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of plane rotations to be generated.
     *
     *  X       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCX)
     *          On entry, the vector x.
     *          On exit, x(i) is overwritten by a(i), for i = 1,...,n.
     *
     *  INCX    (input) INTEGER
     *          The increment between elements of X. INCX > 0.
     *
     *  Y       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCY)
     *          On entry, the vector y.
     *          On exit, the sines of the plane rotations.
     *
     *  INCY    (input) INTEGER
     *          The increment between elements of Y. INCY > 0.
     *
     *  C       (output) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
     *          The cosines of the plane rotations.
     *
     *  INCC    (input) INTEGER
     *          The increment between elements of C. INCC > 0.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlargv()`

Method Summary
`static void` | `dlargv(int n, double[] x, int _x_offset, int incx, double[] y, int _y_offset, int incy, double[] c, int _c_offset, int incc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlargv

    public Dlargv()

Method Detail

### dlargv

    public static void dlargv(int n,
                              double[] x,
                              int _x_offset,
                              int incx,
                              double[] y,
                              int _y_offset,
                              int incy,
                              double[] c,
                              int _c_offset,
                              int incc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD